﻿@model ARGNSModelView
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}


<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>


@Styles.Render("~/Content/DataPicker")
@Scripts.Render("~/bundles/Design")
<!--CONTENIDOS-->
@using (Html.BeginForm("ConfirmAction", "Design", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formDesign" }))
{

    <div class="row">
        <!--col derecha-->
        <div class="col-md-8 col-xs-12 col_derecha">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">Design</h3>
                </div>

                <div class="panel-body">
                    @Html.TextBoxFor(c => c.Code, new { @Id = "Code", @Name = "Code", @class = "form-control", @style = "display: none" })
                    @Html.TextBoxFor(c => c.U_Pic, new { @Id = "U_Pic", @Name = "U_Pic", @class = "form-control", @style = "display: none" })
                    @Html.TextBoxFor(c => c.U_PicR, new { @Id = "U_PicR", @Name = "U_PicR", @class = "form-control", @style = "display: none" })

                    <!--col1-->
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Code</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_ModCode, new { @Id = "U_ModCode", @Name = "U_ModCode", @placeholder = @PDM.Code, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Desc</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_ModDesc, new { @Id = "U_ModDesc", @Name = "U_ModDesc", @placeholder = @PDM.Desc, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.DescLang</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_FrgnDesc, new { @Id = "U_FrgnDesc", @Name = "U_FrgnDesc", @placeholder = @PDM.DescLang, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Segmentation</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_ATGrp, new SelectList(
                                        Model.ListPDMSAPCombo.ListSegmentation,
                                        "Code",
                                        "Name", Model.U_ATGrp), new { @Id = "U_ATGrp", @Name = "U_ATGrp", @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Status</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_Status, new SelectList(
                                    Model.ListPDMSAPCombo.ListStatus,
                                    "Code",
                                    "U_Description", Model.U_Status), new { @Id = "U_Status", @Name = "U_Status", @class = "form-control" })
                            </div>
                        </div>



                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.PL</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_LineCode, new SelectList(
                                    Model.ListPDMSAPCombo.ListProductLine,
                                    "Code",
                                    "Name", Model.U_LineCode), new { @Id = "U_LineCode", @Name = "U_LineCode", @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.PG</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_ModGrp, new SelectList(
                                        Model.ListPDMSAPCombo.ListModelGroup,
                                        "Code",
                                        "Name", Model.U_ModGrp), new { @Id = "U_ModGrp", @Name = "U_ModGrp", @class = "form-control" })
                            </div>
                        </div>



                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.AG</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_SapGrp, new SelectList(
                                        Model.ListPDMSAPCombo.ListItemGroup,
                                        "ItmsGrpCod",
                                        "ItmsGrpNam", Model.U_SapGrp), new { @Id = "U_SapGrp", @Name = "U_SapGrp", @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Season</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_Season, new SelectList(
                                        Model.ListPDMSAPCombo.ListSeason,
                                        "Code",
                                        "Name", Model.U_Season), new { @Id = "U_Season", @Name = "U_Season", @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <!--col2-->
                    <div class="col-md-6 col-sm-6 col-xs-12">

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Coll</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_CollCode, new SelectList(
                                        Model.ListPDMSAPCombo.ListCollection,
                                        "U_CollCode",
                                        "U_Desc", Model.U_CollCode), new { @Id = "U_CollCode", @Name = "U_CollCode", @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.SColl</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_AmbCode, new SelectList(
                                        Model.ListPDMSAPCombo.ListSubCollection,
                                        "U_AmbCode",
                                        "U_Desc", Model.U_AmbCode), new { @Id = "U_AmbCode", @Name = "U_AmbCode", @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Composition</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_CompCode, new SelectList(
                                        Model.ListPDMSAPCombo.CompositionList,
                                        "Code",
                                        "U_Desc", Model.U_CompCode), new { @Id = "U_CompCode", @Name = "U_CompCode", @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.SG</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_GrpSCod, new SelectList(
                                        Model.ListPDMSAPCombo.SimbolList,
                                "U_CodeGrp",
                                "U_Desc", Model.U_GrpSCod), new { @Id = "U_GrpSCod", @Name = "U_GrpSCod", @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Brand</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_Brand, new SelectList(
                                    Model.ListPDMSAPCombo.ListBrand,
                                    "Code",
                                    "Name", Model.U_Brand), new { @Id = "U_Brand", @Name = "U_Brand", @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Designer</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_Designer, new SelectList(
                                    Model.ListPDMSAPCombo.DesignerList,
                                    "empID",
                                    "completeName", Model.U_Designer), new { @Id = "U_Designer", @Name = "U_Designer", @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">@PDM.Division</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_Division, new SelectList(
                                    Model.ListPDMSAPCombo.ListDivision,
                                    "Code",
                                    "Name", Model.U_Division), new { @Id = "U_Division", @Name = "U_Division", @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="divider"></div>
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            @Html.TextAreaFor(c => c.U_Comments, new { @Id = "U_Comments", @Name = "U_Comments", @placeholder = @PDM.Comments, @class = "form-control" })
                        </div>
                    </div>
            </div>
        </div>
        <div class="col-md-4  col-xs-12 col_izquierda">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@PDM.Product</h3>
                </div>
                <div class="panel-body" id="bloke2">
                    <div id="carousel" class="carousel slide" data-ride="carousel">
                        <div class="carousel-inner">
                            @{
                                int mCont = 0;
                                foreach (var item in Model.ModelImageList)
                                {
                                    <div class='@(mCont == 0 ? "item active" : "item")' data-thumb="0">
                                        <img src="/images/@Model.U_ModCode/@item.U_File">
                                    </div>
                                    mCont = 1;
                                }
                                if (Model.ModelImageList.Count == 0)
                                {
                                    <div class='@(mCont == 0 ? "item active" : "item")' data-thumb="0">
                                        <img src="/Content/img/noimage.gif">
                                    </div>
                                }
                            }


                        </div>
                    </div>
                    <div class="clearfix">
                        <div id="thumbcarousel" class="carousel slide" data-interval="false">
                            <div class="carousel-inner">
                                @{
                                    for (int i = 0; i < Model.ModelImageList.Count; i += 4)
                                    {
                                        int index = 0;
                                        if ((i + 3) < Model.ModelImageList.Count) { index = 4; }
                                        else { index = Model.ModelImageList.Count - i; }

                                        <div class="@(i == 0 ? "item active" : "item")">
                                            @for (int j = 0; j < index; j++)
                                            {
                                                <div data-target="#carousel" data-slide-to="@(i + j)" class="thumb">
                                                    <img src="/images/@Model.U_ModCode/@Model.ModelImageList[i + j].U_File">
                                                </div>
                                            }
                                        </div>
                                    }
                                }
                            </div>
                            <a class="left carousel-control" href="#thumbcarousel" role="button" data-slide="prev">
                                <span class="glyphicon glyphicon-chevron-left"></span>
                            </a>
                            <a class="right carousel-control" href="#thumbcarousel" role="button" data-slide="next">
                                <span class="glyphicon glyphicon-chevron-right"></span>
                            </a>
                        </div>
                    </div>


                    <div class="divider"> </div>

                    <div class="form-group">
                        <input id="UpdateFile" type="file" class="file" data-overwrite-initial="true">
                        <input type="hidden" name="fileImgUploadChange" id="fileImgUploadChange" value="false" />
                    </div>
                    <script>
                        $("#UpdateFile").fileinput({
                            uploadUrl: '#',
                            overwriteInitial: true,
                            slugCallback: function (filename) {
                                return filename.replace('(', '_').replace(']', '_');
                            }
                        });
                        $('#UpdateFile').on('change', function (event) {
                            $('#fileImgUploadChange').val(true);
                        });
                        $('#UpdateFile').on('fileselect', function (event, numFiles, label) {
                            $('#fileImgUploadChange').val(true);
                        });
                        $('#UpdateFile').on('filecleared', function (event) {
                            $('#fileImgUploadChange').val(true);
                        });
                    </script>

                </div>
            </div>
        </div>
    </div>

    <div class="alert alert-success" id="UpdateCorrectly" role="alert">
        <strong>The Design was updated correctly!</strong>
    </div>
    <div class="but_blok_footer">
        <div class="col-md-12">
            <button type="submit" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
            @if (Request.QueryString["From"] == "DesignList")
            {
                @Html.ActionLink(@Activity.Cancel, "Index", "Design", null, new { @class = "btn btn-lg btn-default pull-right" });
            }
            @if (Request.QueryString["From"] == "DesignGrid")
            {
                @Html.ActionLink(@Activity.Cancel, "IndexGrid", "Design", null, new { @class = "btn btn-lg btn-default pull-right" }) ;
            }
        </div>
    </div>

    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />

                                    }



<style type="text/css">
    .carousel-inner > .item > img, .carousel-inner > .item > .active > img {
        height: 240px;
        width: auto;
        margin: auto;
        display: block;
    }

    .item .thumb {
        width: 25%;
        cursor: pointer;
        float: left;
    }

        .item .thumb img {
            width: auto;
            max-height: 80px;
            display: block;
        }
</style>


